﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CustomLayout
{
    public class RotorPanel : Panel
    {
        protected override Size MeasureOverride(Size availableSize)
        {
            double maxWidth = 0;
            double maxHeight = 0;
            foreach (UIElement child in this.Children)
            {
                child.Measure(availableSize);

                maxHeight = Math.Max(child.DesiredSize.Height, maxHeight);
                maxWidth = Math.Max(child.DesiredSize.Width, maxWidth);
            }

            return new Size(maxWidth, maxHeight);
        }

        protected override Size ArrangeOverride(Size finalSize)
        {
            double angle = 0;
            foreach (UIElement child in this.Children)
            {
                child.Arrange(new Rect(0, 0, finalSize.Width, finalSize.Height));
                child.RenderTransform = new RotateTransform { Angle = angle };
                angle += 10;
            }

            return finalSize;
        }
    }
}
