﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;
using System.Collections.ObjectModel;

namespace DataBound
{
    public partial class Page : UserControl
    {
        Person src = new Person { Name = "Ian", Age = "34.5" };

        ObservableCollection<Person> people = new ObservableCollection<Person>();
        public Page()
        {
            InitializeComponent();

            firstPresenter.Content = src;

            Person p2 = new Person
            {
                Name = "Arthur Dent",
                Age = "42"
            };
            secondPresenter.DataContext = p2;

            people.Add(src);
            people.Add(p2);

            peopleList.ItemsSource = people;
        }

        private void btnShow_Click(object sender, RoutedEventArgs e)
        {
            string message = string.Format("Name: {0}, Age: {1}",
                src.Name, src.Age);

            HtmlPage.Window.Alert(message);
        }

        private void btnChange_Click(object sender, RoutedEventArgs e)
        {
            double age = double.Parse(src.Age);
            age += 0.25;

            src.Age = age.ToString();
        }

        private void btnAdd_Click(object sender, RoutedEventArgs e)
        {
            string name = "New Person " + peopleList.Items.Count;

            Person p = new Person { Name = name, Age = "0" };
            people.Add(p);
        }
    }
}
