﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace DataBound
{
    public class Person : INotifyPropertyChanged
    {
        private string m_name;
        public string Name
        {
            get { return m_name; }

            set
            {
                if (value != m_name)
                {
                    m_name = value;
                    OnPropertyChanged("Name");
                }
            }
        }

        private string m_age;
        public string Age
        {
            get { return m_age; }

            set
            {
                if (value != m_age)
                {
                    m_age = value;
                    OnPropertyChanged("Age");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
