﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Diagnostics;

namespace DragAndDrop
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            draggable.MouseLeftButtonDown += new MouseButtonEventHandler(draggable_MouseLeftButtonDown);
            draggable.MouseLeftButtonUp += new MouseButtonEventHandler(draggable_MouseLeftButtonUp);
            draggable.MouseMove += new MouseEventHandler(draggable_MouseMove);
        }

        bool isDragging = false;

        void draggable_MouseMove(object sender, MouseEventArgs e)
        {
            if (isDragging)
            {
                Point pos = e.GetPosition(container);

                Canvas.SetLeft(draggable, pos.X - startPos.X);
                Canvas.SetTop(draggable, pos.Y - startPos.Y);
            }
        }

        void draggable_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            Debug.WriteLine("Mouse up");
            isDragging = false;
            draggable.ReleaseMouseCapture();
        }

        Point startPos;

        void draggable_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            isDragging = true;
            draggable.CaptureMouse();
            startPos = e.GetPosition(draggable);
        }
    }
}