﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI;
using System.Web;

[assembly: WebResource("SlSphereControlLib.Silverlight.js", "text/javascript")]
[assembly: WebResource("SlSphereControlLib.SlSphere.js", "text/javascript")]

[assembly: WebResource("SlSphereControlLib.SilverlightContent.xap",
    "application/x-silverlight")]

namespace SlSphereControlLib
{
    public class SlSphere : Control, IScriptControl
    {

        public string Title
        {
            get { return (string) (ViewState["title"] ?? "[title]"); }
            set { ViewState["title"] = value; }
        }

        protected override void OnPreRender(EventArgs e)
        {
            if (!DesignMode)
            {
                ScriptManager sm = ScriptManager.GetCurrent(Page);
                if (sm == null)
                    throw new HttpException("Missing ScriptManager.");

                sm.RegisterScriptControl(this);
                sm.RegisterScriptDescriptors(this);
            }
            base.OnPreRender(e);
        }


        protected override void Render(HtmlTextWriter writer)
        {

            writer.AddAttribute(HtmlTextWriterAttribute.Id, this.ID);
            writer.RenderBeginTag(HtmlTextWriterTag.Div);
            writer.RenderEndTag();
            base.Render(writer);
        }

        public IEnumerable<ScriptReference> GetScriptReferences()
        {
            ScriptReference sr1 = new ScriptReference("SlSphereControlLib.Silverlight.js",
                  typeof(SlSphere).Assembly.FullName);
            ScriptReference sr2 = new ScriptReference("SlSphereControlLib.SlSphere.js",
                  typeof(SlSphere).Assembly.FullName);
            return new ScriptReference[] { sr1, sr2 };
        }

        public IEnumerable<ScriptDescriptor> GetScriptDescriptors()
        {
            ScriptControlDescriptor scd =
              new ScriptControlDescriptor("Pluralsight.SilverlightAjaxSphere", this.ClientID);
            scd.AddProperty("title", this.Title);

            string xamlUrl = Page.ClientScript.GetWebResourceUrl(
                  typeof(SlSphere),
                  "SlSphereControlLib.SilverlightContent.xap");

            scd.AddProperty("xamlUrl", xamlUrl);
            return new ScriptDescriptor[] { scd };
        }

    }
}
