﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace UiSwitching
{
    public partial class Page : UserControl
    {
        FirstUserInterface ui1;
        public Page()
        {
            InitializeComponent();

            ui1 = new FirstUserInterface();
            LayoutRoot.Children.Add(ui1);

            this.MouseLeftButtonDown += new MouseButtonEventHandler(Page_MouseLeftButtonDown);
        }

        void Page_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (!e.Handled)
            {
                SecondUserInterface ui2 = new SecondUserInterface();
                LayoutRoot.Children.Add(ui2);

                DoubleAnimation fadeAnim = new DoubleAnimation();
                Storyboard.SetTarget(fadeAnim, ui2);
                Storyboard.SetTargetProperty(fadeAnim, "(UIElement.Opacity)");
                fadeAnim.From = 0;
                fadeAnim.To = 1;
                fadeAnim.Duration = new Duration(TimeSpan.FromSeconds(1));
                fadeAnim.FillBehavior = FillBehavior.Stop;


                Storyboard sb = new Storyboard();
                sb.Children.Add(fadeAnim);
                this.Resources.Add(sb);


                sb.Completed += delegate
                {
                    this.Resources.Remove(sb);
                    LayoutRoot.Children.Remove(ui1);
                };

                sb.Begin();
            }
        }
    }
}
