﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO.IsolatedStorage;
using System.IO;

namespace UseStorage
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            clickCountText.Text = "Click count: " + GetClickCountFromStore();

        }

        string COUNT_FILE = "Count.txt";

        private int GetClickCountFromStore()
        {
            using (IsolatedStorageFile dir = // No, really.
                IsolatedStorageFile.GetUserStoreForApplication()) 
            {
                if (!dir.FileExists(COUNT_FILE))
                {
                    return 0;
                }

                using (IsolatedStorageFileStream stream = dir.OpenFile(COUNT_FILE, FileMode.Open))
                {
                    using (BinaryReader rdr = new BinaryReader(stream))
                    {
                        int count = rdr.ReadInt32();
                        return count;
                    }
                }
            }
        }

        private void WriteCountToStore(int count)
        {
            using (IsolatedStorageFile dir = // No, really.
                IsolatedStorageFile.GetUserStoreForApplication())
            {
                using (IsolatedStorageFileStream stream =
                            dir.OpenFile(COUNT_FILE, FileMode.Create))
                {
                    using (BinaryWriter rdr = new BinaryWriter(stream))
                    {
                        rdr.Write(count);
                    }
                }
            }
        }


        private void Button_Click(object sender, RoutedEventArgs e)
        {
            int totalClickCount = GetClickCountFromStore() + 1;

            clickCountText.Text = "Click count: " + totalClickCount;

            WriteCountToStore(totalClickCount);
        }
    }
}
